Subject: Re: Moving a branch to a different node

From: Andreas Schwab <[email-masked]>
Date: Mon, 07 Jun 2010 00:19:40 +0200

Mike Solomon <[email-masked]> writes:

> Hey git users,
>     I am working on a project where I proceeded by the following steps:
>
> starting from master...
> 1) create branch foo
> 2) work in foo, make some commits, then a patch named Foo
> 3) create a branch bar while in foo
> 4) work in bar, make some commits, then a patch named Bar
>
> git show-branch gives me
>
> ! [master] Hello
>  * [foo] Foo
>   ! [bar] Bar
>
> I would like to make bar split off of master instead of foo so that I can
> format a patch that can be applied to master (Bar) without having to first
> apply Foo.  Is there a way to do that?

IIUC you want to rebase the commits in bar that are not in foo onto
master.

$ git rebase --onto master foo bar

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."